Help the Javanese Wikipedia enable Citoid on their wiki
Closed, ResolvedPublic0 Story Points

Description

Based on the request in here, the Javanese Wikipedia community agrees that the citation menu on Visual Editor to be updated similar to the one applied in the English Wikipedia. The request is in line with the increase of the numbers of Wikipedia training for new users in the Javanese Wikipedia that makes use of Visual Editor, yet adding citation is not user-friendly for most of them because of the many steps it has.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2017, 5:43 AM

As this was filed under Wikimedia-Site-requests, is there some explicit server configuration setting that you are aware of?
I'm generally wondering why the jv and the en versions behave different when it comes to the Cite menu...

Sorry, but I have no idea about server configuration setting. So far that I know is in jvwiki you can write the Javanese script, but I don't think it is related to server configuration setting. Could you please check it? Thank you so much.

Deskana renamed this task from Update Citation menu on Javanese Wikipedia Visual Editor to Help the Javanese Wikipedia enable Citoid on their wiki.Oct 30 2017, 11:14 AM

Sadly, it's not as simple as flipping a switch; there's work to do to enable it. There's some documentation which might help you. I don't know much about this process myself, so I can't offer much help.

Mvolz added a subscriber: Elitre.Oct 30 2017, 1:39 PM
Mvolz added a subscriber: Mvolz.EditedOct 30 2017, 1:46 PM

Sadly, it's not as simple as flipping a switch; there's work to do to enable it. There's some documentation which might help you. I don't know much about this process myself, so I can't offer much help.

@Deskana Normally we recommend the documentation here: https://www.mediawiki.org/wiki/Citoid/Enabling_Citoid_on_your_wiki

As this was filed under Wikimedia-Site-requests, is there some explicit server configuration setting that you are aware of?
I'm generally wondering why the jv and the en versions behave different when it comes to the Cite menu...

@Aklapper there's server config to enable the citoid extension, but that's all been done for all the Wikipedias. The rest of it is mostly on-wiki configuration, and some of it requires special permissions because you need to be able to edit the Mediawiki namespace. Because each wiki uses different citation template, each wiki has to be done separately, ideally by someone familiar with the language/the common templates in use.

Sorry, but I have no idea about server configuration setting. So far that I know is in jvwiki you can write the Javanese script, but I don't think it is related to server configuration setting. Could you please check it? Thank you so much.

@cahyo.ramadhani Have a look through https://www.mediawiki.org/wiki/Citoid/Enabling_Citoid_on_your_wiki and let me know if there's anything you have questions about, or parts you need help with.

cahyo.ramadhani added a comment.EditedOct 30 2017, 2:03 PM

@Mvolz I think I have done the step 1 and step 2.a. I've copied the TemplateData for cite templates from enwiki to jvwiki. About the step 2.b, I'm not sure how to work on it.

Mvolz added a comment.Oct 30 2017, 2:05 PM

@Mvolz I think I have done the step one and step 2.a. I've copied the TemplateData for cite templates from enwiki to jvwiki. About the step 2.b, I'm not sure how to work on it.

You can copy it from en wiki as well, if you have used all the same templates: https://en.wikipedia.org/wiki/MediaWiki:Citoid-template-type-map.json

But you need to have the correct permissions to do this.

Great! Thank you! I need one more help. How to make the "Manual" in jvwiki appears like the one in enwiki?

This one is in enwiki

Meanwhile this one is in jvwiki

Mvolz added a comment.EditedOct 30 2017, 3:45 PM

Great! Thank you! I need one more help. How to make the "Manual" in jvwiki appears like the one in enwiki?

This one is in enwiki

Meanwhile this one is in jvwiki

That uses a different configuration message, see: https://www.mediawiki.org/wiki/VisualEditor/Citation_tool

(see the en wiki config message here: https://en.wikipedia.org/wiki/MediaWiki:Visualeditor-cite-tool-definition.json)

@Mvolz Done! Thank you so much!

Deskana triaged this task as Normal priority.Oct 31 2017, 10:59 AM
Deskana closed this task as Resolved.
Deskana assigned this task to Mvolz.

Looks like everything's working excellently now. Thank you @Mvolz!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 31 2017, 10:59 AM
Jdforrester-WMF set the point value for this task to 0.Nov 1 2017, 3:19 PM
Ivi104 added a subscriber: Ivi104.Feb 9 2018, 11:49 AM